  CREATE OR REPLACE FORCE EDITIONABLE VIEW "V_DT430_DT472" ("DATUM_KAL", "PR", "VG", "RESS", "KOA", "OE_RESS",
      "DATE_CREATION", "DATE_MODIFY", "RWDU", "USER_CREATION", "USER_MODIFY", "OWNER_LICENSE", "ACT_LOAD_DISPATCHED",
      "OSC", "OWNER", "group", "any", "BEL_IST", "POS", "ABR_DATUM", "SAP_STATE", "COMMENTARY", "CALENDAR_ID") AS 
  SELECT DATUM_KAL,
PR,
VG,
RESS,
KoA,
OE_RESS,
date_creation,
date_modify,
rwdu,
user_creation,
user_modify,
owner_license,
ACT_LOAD_LOADED_IN,
osc,
owner,
"group",
"any",
bel_ist_472   AS BEL_Ist,
cast(pos_472 as Number(10)) AS Pos,
abr_datum_472 AS ABR_DATUM,
cast(sap_state_472 AS Number(10)) as SAP_STATE,
COMMENTARY,
CALENDAR_ID
FROM
(SELECT DI000997 AS DATUM_KAL,
  DI001390       AS PR,
  DI001391       AS VG,
  DI001392       AS RESS,
  DI001393       AS KoA,
  DI009063       AS OE_RESS,
  DI001401       AS date_creation,
  DI001402       AS date_modify,
  DI001403       AS rwdu,
  DI001404       AS user_creation,
  DI001405       AS user_modify,
  DI001406       AS owner_license,
  DI000596       AS osc,
  DI001407       AS owner,
  DI001408       AS "group",
  DI001409       AS "any",
  DI000475       AS calendar_id
FROM DT430 o,
  DT466
WHERE DI000475 = case when
                    exists(select 1 from dt430 i where i.di000475 = (select DI001229 from DT467 where DI001218 = DI001392) and i.di000997 = o.di000997)
                 then
                    (select DI001229 from DT467 where DI001218 = DI001392)
                 else
                    (SELECT DI003107 FROM dt452 WHERE di003109=150)
                 end  
)
LEFT JOIN
(SELECT DI001519 DATUM_472,
  DI001395 PR_472,
  DI001516 VG_472,
  DI001517 RESS_472,
  SUM(DI001456) act_load_loaded_in,
  SUM(DI001510) bel_ist_472,
  MAX(NVL(DI001400,0)) pos_472,
  MAX(NVL(SAP_STATE,0)) sap_state_472,
  MAX(DI002673) abr_datum_472,
  MAX(DI001438) COMMENTARY,
  NVL((select DI001229 from DT467 where DI001218 = DI001517), (SELECT DI003107 FROM dt452 WHERE di003109=150)) calendar_id_472
FROM DT472
WHERE UUID_CANCELLED_BOOKING IS NULL AND IS_CANCELLED = 0
GROUP BY DI001519,
  DI001395,
  DI001516,
  DI001517
)
ON DATUM_472 =DATUM_KAL
AND PR_472   =PR
AND VG_472   =VG
AND RESS_472 =RESS
AND calendar_id_472 = calendar_id

;/